MDC< T > Class Template Reference

MDC More...

`#include <mdc.h>`

Inheritance diagram for MDC< T >:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
| use BlockCipher interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

### template<class T>
class MDC< T >

MDC

a construction by Peter Gutmann to turn an iterated hash function into a PRF

Definition at line 24 of file mdc.h.

The documentation for this class was generated from the following file:

- mdc.h